# $LastChangedDate: 2010-05-25 20:26:05 -0500 (Tue, 25 May 2010) $
# LEGAL: COPYRIGHT (C) 2010 JIM E. BROOKS WWW.PALOMINO3D.ORG
# Determine operating-system and OS-specific libraries.
# Notes:
# - See module.txt.
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
# Apple: Determine if MacPorts or Fink is installed.

IF( APPLE )
    FIND_PATH( APPLE_MACPORTS_DIR bin/port /opt/local )
    IF( APPLE_MACPORTS_DIR )
        SET( FOUND_APPLE_MACPORTS "TRUE" )
        SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L${APPLE_MACPORTS_DIR}/lib " )
        MESSAGE( STATUS "Found Apple MacPorts: ${APPLE_MACPORTS_DIR}" )
    ELSE()
        FIND_PATH( APPLE_FINK_DIR bin/fink /sw )
        IF( APPLE_FINK_DIR )
            SET( FOUND_APPLE_FINK "TRUE" )
            SET( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L${APPLE_FINK_DIR}/lib " )
            MESSAGE( STATUS "Found Apple Fink: ${APPLE_FINK_DIR}" )
        ENDIF()
    ENDIF()
ENDIF()

#-------------------------------------------------------------------------------
# System-specific macro to add an include directory.

MACRO( ADD_INCLUDE_DIR )
    SET( DIR ${ARGV0} )

    IF( UNIX AND NOT APPLE )
        # "SYSTEM" causes lots of compiler errors on Apple Mac.
        IF( "${DIR}" STREQUAL "/usr/include" OR "${DIR}" STREQUAL "/usr/local/include" )
            INCLUDE_DIRECTORIES( SYSTEM ${DIR} )
        ELSE()
            INCLUDE_DIRECTORIES( ${DIR} )
        ENDIF()
    ELSE()
        INCLUDE_DIRECTORIES( ${DIR} )
    ENDIF()

ENDMACRO()
