/*****************************************************************************
 * $LastChangedDate: 2010-03-28 21:05:39 -0500 (Sun, 28 Mar 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions, constants.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// Avoid lua_/LUA_ which is reserved by Lua.

#ifndef LUABIND_DEFS_HH
#define LUABIND_DEFS_HH 1

namespace lua {
namespace defs {

#if VERBOSE
#define LUABIND_VERBOSE 1
#endif

#define LUABIND_SIM_TABLE_NAME  "sim"   ///< name of emulated module/namespace
#define LUABIND_MODULE_NAME     LUABIND_SIM_TABLE_NAME
#if COMPILE_PALOMINO == 4
#define LUABIND_SCRIPTS_DIR     "bin"
#else
#define LUABIND_SCRIPTS_DIR     "scripts"
#endif

} // namespace defs
} // namespace lua

#endif // LUABIND_DEFS_HH
